package com.wendall.controllers 
{
	import com.wendall.events.WendallEvent;	
	import com.wendall.controllers.Controller;	

	/**
	 * @author Brian Kuzma
	 */
	public class SectionController extends Controller 
	{
		public function SectionController()
		{
			super();
		}
		
		public function activateSection():void
		{
			view.addEventListener(WendallEvent.COMPLETE_INTRO, onCompleteIntro);
			view.intro();
		}

		public function deactivateSection():void
		{
			view.addEventListener(WendallEvent.COMPLETE_OUTRO, onCompleteOutro);
			view.outro();
		}
		
		private function onCompleteIntro(event:WendallEvent):void
		{
			view.removeEventListener(WendallEvent.COMPLETE_INTRO, onCompleteIntro);
			dispatchEvent(new WendallEvent(WendallEvent.ACTIVATED));
		}

		private function onCompleteOutro(event:WendallEvent):void
		{
			view.removeEventListener(WendallEvent.COMPLETE_OUTRO, onCompleteOutro);
			dispatchEvent(new WendallEvent(WendallEvent.DEACTIVATED));
		}
	}
}
