package com.wendall.views 
{
	import gs.TweenLite;
	
	import noponies.display.NpTileBg;
	
	import com.wendall.views.View;
	
	import flash.display.Sprite;
	import flash.text.TextField;		

	/**
	 * @author bkuzma
	 */
	public class PreloaderView extends View 
	{
		private var tile:Tile = new Tile(6, 6);
		private var bg:NpTileBg;
		private var progressBar:Sprite = new Sprite();
		
		
		public function PreloaderView()
		{
			super();
		}
		
		override protected function init():void
		{
			initBackground();
			initProgressBar();
		}
		
		private function initProgressBar():void
		{
			progressBar.graphics.beginFill(0xFF0000, .5);
			progressBar.graphics.drawRect(0, 0, 300, 30);
			progressBar.graphics.endFill();
			progressBar.x = 100;
			progressBar.y = 100;
			progressBar.scaleX = 0;
			addChild(progressBar);
		}

		private function initBackground():void
		{
			bg = new NpTileBg(tile);
			addChild(bg);
		}
		
		public function updateProgress(progress:Number):void
		{
			progressBar.scaleX = progress;
		}
		
		override public function outro():void
		{
			TweenLite.to(progressBar, .5, {alpha:0, onComplete:onCompleteOutro});	
		}
	}
}
